org.apache.ignite.internal.cache.query.index.sorted

## Class IndexKeyDefinition

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexKeyDefinition

    public class IndexKeyDefinition
    extends Object

Defines a signle index key.

### Constructor Summary

Constructors
Constructor and Description
`IndexKeyDefinition(String name, int idxType, Order order)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `idxType()`
`String` `name()`
`Order` `order()`
`boolean` `validate(IndexKey key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexKeyDefinition

    public IndexKeyDefinition(String name,
                              int idxType,
                              Order order)

### Method Detail

#### order

    public Order order()

#### idxType

    public int idxType()

#### name

    public String name()

#### validate

    public boolean validate(IndexKey key)

Returns:
  `true` if specified key's type matches to the current type, otherwise `false`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021